Skip to main content
`Ctrl`+`K`

# DMPlexTransformSetUp

Create the tables that drive the transform

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformSetUp(DMPlexTransform tr)

## Input Parameter

- tr - The `DMPlexTransform` object

## See Also

Summary of Unstructured Mesh Transformations, DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransform`, `DMPlexTransformApply()`, `DMPlexTransformCreate()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/interface/plextransform.c

## Examples

src/ts/tutorials/ex30.c
src/dm/label/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex11.c

## Implementations

DMPlexTransformSetUp_Cohesive() in src/dm/impls/plex/transform/impls/extrude/plextrcohesive.c
DMPlexTransformSetUp_Extrude() in src/dm/impls/plex/transform/impls/extrude/plextrextrude.c
DMPlexTransformSetUp_Filter() in src/dm/impls/plex/transform/impls/filter/plextrfilter.c
DMPlexTransformSetUp_1D() in src/dm/impls/plex/transform/impls/refine/1d/plexref1d.c
DMPlexTransformSetUp_BL() in src/dm/impls/plex/transform/impls/refine/bl/plexrefbl.c
DMPlexTransformSetUp_SBR() in src/dm/impls/plex/transform/impls/refine/sbr/plexrefsbr.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages